
local target = ( 5 * 60 )
local time = math.min( CCachievements.GetValue( "Playtime", "total", 0 ), target )

local function Update()
	time = math.min( CCachievements.GetValue( "Playtime", "total", time ), target )
	
	if ( time >= target ) then
		timer.Destroy( "achievements.Newcomer" )
	end
	
	CCachievements.Update( "Newcomer", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.Newcomer", 1, 0, Update )

CCachievements.Register( "Newcomer", "Play 5 minutes in Garrys Mod.", "achievements/generic", time / target, CCachievements.FormatTime( time, "h:m:s" ) )