
local total = CCachievements.GetValue( "PropMagnet", "total", 0 )
local function Killed( victim, inflictor )
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	
	if ( total != 500 && inflictor == "prop_physics" && victim == ply ) then
		total = math.Clamp( total + 1, 0, 500 )
		CCachievements.SetValue( "PropMagnet", "total", total )
		CCachievements.Update( "PropMagnet", total / 500, total .. "/500" )
		
	end
end

local function PlayerKilled( msg )
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadString()
	Killed( victim, inflictor )
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilled", "achievements.PropMagnet", PlayerKilled )
local function PlayerKilledByPlayer( msg )
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadEntity()
	Killed( victim, inflictor )
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilledByPlayer", "achievements.PropMagnet", PlayerKilledByPlayer )

CCachievements.Register( "Prop Magnet", "Die by props 500 times.", "achievements/generic", total / 500, total .. "/500" )