
local totalAmmo = CCachievements.GetValue( "RobTheGunStore", "total", 0 )
local function HUDAmmoPickedUp( class, amount )
	if ( totalAmmo == 100000 ) then return end
	totalAmmo = math.min( totalAmmo + amount, 100000 )
	CCachievements.Update( "RobTheGunStore", totalAmmo / 100000, totalAmmo .. "/100000" )
	CCachievements.SetValue( "RobTheGunStore", "total", totalAmmo )
end
hook.Add( "HUDAmmoPickedUp", "achievements.RobTheGunStore", HUDAmmoPickedUp )

CCachievements.Register( "Rob the GunStore", "Pick up 100,000 units of ammunition.", "achievements/scavenger", totalAmmo / 100000, totalAmmo .. "/100000" )