
local totalAmmo = CCachievements.GetValue( "RobTheMafia", "total", 0 )
local function HUDAmmoPickedUp( class, amount )
	if ( totalAmmo == 50000 ) then return end
	totalAmmo = math.min( totalAmmo + amount, 50000 )
	CCachievements.Update( "RobTheMafia", totalAmmo / 50000, totalAmmo .. "/50000" )
	CCachievements.SetValue( "RobTheMafia", "total", totalAmmo )
end
hook.Add( "HUDAmmoPickedUp", "achievements.RobTheMafia", HUDAmmoPickedUp )

CCachievements.Register( "Rob the Mafia", "Pick up 50,000 units of ammunition.", "achievements/scavenger", totalAmmo / 50000, totalAmmo .. "/50000" )