
local totalKilled = CCachievements.GetValue( "RocketMaster", "total", 0 )
local function PlayerKilledNPC( msg )
	if ( totalKilled == 20 ) then return end
	
	local class = msg:ReadString()
	local weapon = msg:ReadString()
	local ply = msg:ReadEntity()
	
	if ( ply == LocalPlayer() ) then
		if ( weapon == "weapon_rpg" or "rpg_rocket" or "weapon_rocket" ) then
			totalKilled = math.Clamp( totalKilled + 1, 0, 20 )
			CCachievements.SetValue( "RocketMaster", "total", totalKilled )
			CCachievements.Update( "RocketMaster", totalKilled / 20, totalKilled .. "/20" )
		end
	end
	
	return class, weapon, ply
end
usermessage.AddHook( "PlayerKilledNPC", "achievements.RocketMaster", PlayerKilledNPC )

CCachievements.Register( "Rocket Master", "Kill 20 NPCs with the RPG using only 1 missle.", "achievements/generic", totalKilled / 20, totalKilled .. "/20" )