// Addon by RabidToaster... New achievements by Dark Shadow [DK]

local completed = CCachievements.GetValue( "Marathon", "total", 0 ) == 1
local desc = { [ true ] = { 1, "03:00:00" }, [ false ] = { 0, "00:00:00" } }

if ( !SinglePlayer() ) then
	desc[ false ] = { 0, "Not in Singleplayer" }
end

if ( !completed && SinglePlayer() ) then
	local startTime = CurTime()
	local function Update()
		local time = CurTime() - startTime		
		CCachievements.Update( "Marathon", time / 43200, CCachievements.FormatTime( time, "h:m:s" ) )
		
		if ( time >= 43200 ) then
			CCachievements.SetValue( "Marathon", "total", 1 )
			timer.Destroy( "achievements.Marathon" )
		end
	end
	timer.Create( "achievements.Marathon", 1, 0, Update )
end

CCachievements.Register(
	"Marathon", "Play on singleplayer on the same map for 12 hours straight.", "achievements/generic",
	desc[ completed ][ 1 ], desc[ completed ][ 2 ]
)