
local time = CCachievements.GetValue( "Loner", "total", 0 )

local target = 3600
local radius = 4096
local function Update()
	// There are no other players.
	if ( #player.GetAll() == 1 ) then return end
	
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	
	if ( time != target ) then
		local find = ents.FindInSphere( ply:GetPos(), radius )
		for _, e in pairs( find ) do if ( e:IsPlayer() && e != ply ) then return end end
		
		time = math.Clamp( time + 1, 0, target )
		
		CCachievements.SetValue( "Loner", "total", time )
		CCachievements.Update( "Loner", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
		
		if ( time >= target ) then
			timer.Destroy( "achievements.Loner" )
		end
	end
end
timer.Create( "achievements.Loner", 1, 0, Update )

CCachievements.Register( "Loner", "Spend a total of one hour away from other players.", "achievements/loner", time / target, CCachievements.FormatTime( time, "h:m:s" ) )