// Achievement by G3X / GeXeH - Enjoy
// Version 1.0

// Achievement: Get rated 'love' 50 times.

local total = CCachievements.GetValue( "Loved By All", "total", 0 )

local oldRate
local function Update()
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	if ( total == 50 ) then return end
	
	local love = ply:GetNWInt( "Rating.love", -1 )
	if ( love > ( oldRate or love ) ) then
		if ( oldRate != 0 || love == 1 ) then
			total = math.Clamp( total + ( love - oldRate ), 0, 50 )
			CCachievements.Update( "Loved By All", total / 50, total .. "/50" )
			CCachievements.SetValue( "Loved By All", "total", total )
		end
	end
	oldRate = love
end
timer.Create( "achievements.LovedByAll", 1, 0, Update )

CCachievements.Register( "Loved By All", "Get rated 'love' 50 times.", "achievements/lovedbyall", total / 50, total .. "/50" )