
local killed = CCachievements.GetValue( "Overkill", "total", 0 )

local function PlayerKilledNPC( msg )
	local victim, inflictor, attacker = msg:ReadString(), msg:ReadString(), msg:ReadEntity()
	
	if ( killed != 100 && attacker == LocalPlayer() && inflictor == "rpg_missile" && victim == "npc_manhack" ) then
		killed = math.Clamp( killed + 1, 0, 100 )
		CCachievements.SetValue( "Overkill", "total", killed )
		CCachievements.Update( "Overkill", killed / 100, killed .. "/100" )
	end
	
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilledNPC", "achievements.Overkill", PlayerKilledNPC )

CCachievements.Register( "Overkill", "Kill 100 manhacks with the RPG.", "achievements/overkill", killed / 100, killed .. "/100" )