
local time = CCachievements.GetValue( "Pale", "total", 0 )

local target = 3600
local function Update()
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	local colour = render.GetLightColor( ply:GetShootPos() )
	
	if ( time != target && colour:Length() < 0.4 ) then
		time = math.Clamp( time + 1, 0, target )
		CCachievements.SetValue( "Pale", "total", time )
		
		if ( time >= target ) then
			timer.Destroy( "achievements.Pale" )
		end
	end
	
	CCachievements.Update( "Pale", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.Pale", 1, 0, Update )

CCachievements.Register( "Pale", "Spend a total of 1 hour in low light conditions.", "achievements/pale", time / target, CCachievements.FormatTime( time, "h:m:s" ) )