// Achievement by G3X / GeXeH - Enjoy
// Version 1.0

// Achievement: Die 50 times by getting crushed.

local killed = CCachievements.GetValue( "Pancake", "total", 0 )

local function PlayerKilled( msg )
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadString()
	
	if ( killed != 50 && victim == LocalPlayer() && attacker == "worldspawn" ) then
			killed = math.Clamp( killed + 1, 0, 50 )
			CCachievements.SetValue( "Pancake", "total", killed )
			CCachievements.Update( "Pancake", killed / 50, killed .. "/50" )
	end
	
	return victim, inflictor, attacker
end

usermessage.AddHook( "PlayerKilled", "achievements.Pancake", PlayerKilled )

CCachievements.Register( "Pancake", "Die 50 times by getting crushed.", "achievements/pancake", killed / 50, killed .. "/50" )