// Achievement made by Dark Shadow [DK]
// Modified by RabidToaster

local target = ( 60 * 60 ) * 12
local time = math.min( CCachievements.GetValue( "Playtime", "total", 0 ), target )

local function Update()
	time = math.min( CCachievements.GetValue( "Playtime", "total", time ), target )
	
	if ( time >= target ) then
		timer.Destroy( "achievements.PlaytimeTwelveHours" )
	end
	
	CCachievements.Update( "Playtime - Twelve Hours", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.PlaytimeTwelveHours", 1, 0, Update )

CCachievements.Register( "Playtime - Twelve Hours", "Spend a total of twelve hours playing GMod.", "achievements/playtime_012", time / target, CCachievements.FormatTime( time, "h:m:s" ) )