// Achievement made by Dark Shadow [DK]
// Modified by RabidToaster

local target = ( 60 * 60 * 24 ) * 7
local time = math.min( CCachievements.GetValue( "Playtime", "total", 0 ), target )

local function Update()
	time = math.min( CCachievements.GetValue( "Playtime", "total", time ), target )
	
	if ( time >= target ) then
		timer.Destroy( "achievements.PlaytimeOneWeek" )
	end
	
	CCachievements.Update( "Playtime - One Week", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.PlaytimeOneWeek", 1, 0, Update )

CCachievements.Register( "Playtime - One Week", "Spend a total of one week (168h) playing GMod.", "achievements/playtime_7", time / target, CCachievements.FormatTime( time, "h:m:s" ) )