
local total = CCachievements.GetValue( "Roadkill", "total", 0 )

local veh = { "prop_vehicle_jeep", "prop_vehicle_airboat" }
local function PlayerKilled( msg )
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadString()
	
	if ( total != 100 && victim == ply && table.HasValue( veh, inflictor ) ) then
		total = math.Clamp( total + 1, 0, 100 )
		CCachievements.Update( "Roadkill", total / 100, total .. "/100" )
		CCachievements.SetValue( "Roadkill", "total", total )
	end
	
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilled", "achievements.RoadKill", PlayerKilled )

CCachievements.Register( "Roadkill", "Get run over 100 times.", "achievements/roadkill", total / 100, total .. "/100" )