
local target = ( 60 * 60 * 0 ) * 60000
local time = math.min( CCachievements.GetValue( "Playtime", "total", 0 ), target )

local function Update()
	time = math.min( CCachievements.GetValue( "Playtime", "total", time ), target )
	
	if ( time >= target ) then
		timer.Destroy( "achievements.1Fan" )
	end
	
	CCachievements.Update( "1Fan", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.1fan", 1, 0, Update )

CCachievements.Register( "#1 Fan", "Play 60000 minutes/1000 hours in Garrys Mod.", "achievements/generic", time / target, CCachievements.FormatTime( time, "h:m:s" ) )