
local totalKilled = CCachievements.GetValue( "CrazedGunman", "total", 0 )
local function PlayerKilledNPC( msg )
	if ( totalKilled == 500 ) then return end
	
	local class = msg:ReadString()
	local weapon = msg:ReadString()
	local ply = msg:ReadEntity()
	
	if ( ply == LocalPlayer() ) then
		if ( weapon == "weapon_crossbow" ) then
			totalKilled = math.Clamp( totalKilled + 1, 0, 500 )
			CCachievements.SetValue( "CrazedGunman", "total", totalKilled )
			CCachievements.Update( "CrazedGunman", totalKilled / 500, totalKilled .. "/500" )
		end
	end
	
	return class, weapon, ply
end
usermessage.AddHook( "PlayerKilledNPC", "achievements.CrazedGunman", PlayerKilledNPC )

CCachievements.Register( "Not a crazed gunman, Dad.", "Kill 500 NPCs with the crossbow.", "achievements/generic", totalKilled / 500, totalKilled .. "/500" )