
local completed = CCachievements.GetValue( "Dedicated part 2", "total", 0 ) == 1
local desc = { [ true ] = { 1, "06:00:00" }, [ false ] = { 0, "00:00:00" } }

if ( !SinglePlayer() ) then
	desc[ false ] = { 0, "Not in SP" }
end

if ( !completed && SinglePlayer() ) then
	local startTime = CurTime()
	local function Update()
		local time = CurTime() - startTime		
		CCachievements.Update( "DedicatedP2", time / 26800, CCachievements.FormatTime( time, "h:m:s" ) )
		
		if ( time >= 26800 ) then
			CCachievements.SetValue( "DedicatedP2", "total", 1 )
			timer.Destroy( "achievements.DedicatedP2" )
		end
	end
	timer.Create( "achievements.DedicatedP2", 1, 0, Update )
end

CCachievements.Register(
	"Dedicated", "Play on singleplayer on the same map for six hours straight.", "achievements/dedicatedP2",
	desc[ completed ][ 1 ], desc[ completed ][ 2 ]
)