
local totalKilled = CCachievements.GetValue( "Hunstman", "total", 0 )
local function PlayerKilledNPC( msg )
	if ( totalKilled == 5000 ) then return end
	
	local class = msg:ReadString()
	local weapon = msg:ReadString()
	local ply = msg:ReadEntity()
	
	if ( ply == LocalPlayer() ) then
		if (class == "npc_") then
			if ( weapon == "weapon_crossbow" ) then
				totalKilled = math.Clamp( totalKilled + 1, 0, 5000 )
				CCachievements.SetValue( "Hunstman.", "total", totalKilled )
				CCachievements.Update( "Hunstman.", totalKilled / 5000, totalKilled .. "/5000" )
			end
		end
	end
	
	return class, weapon, ply
end
usermessage.AddHook( "PlayerKilledNPC", "achievements.The Hunstman.", PlayerKilledNPC )

CCachievements.Register( "The Hunstman.", "Kill 5000 NPCs with the crossbow.", "achievements/generic", totalKilled / 5000, totalKilled .. "/5000" )