
local total = CCachievements.GetValue( "HustonProblem", "total", 0 )
local function Killed( victim, inflictor )
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	
	if ( total != 25 && inflictor == {"gmod_thruster", "wire_thruster"} && victim == ply ) then
		total = math.Clamp( total + 1, 0, 25 )
		CCachievements.Update( "HustonProblem", total / 25, total .. "/25" )
		CCachievements.SetValue( "HustonProblem", "total", total )
	end
end

local function PlayerKilled( msg )
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadString()
	Killed( victim, inflictor )
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilled", "achievements.HustonProblem", PlayerKilled )
local function PlayerKilledByPlayer( msg )
	local victim, inflictor, attacker = msg:ReadEntity(), msg:ReadString(), msg:ReadEntity()
	Killed( victim, inflictor )
	return victim, inflictor, attacker
end
usermessage.AddHook( "PlayerKilledByPlayer", "achievements.HustonProblem", PlayerKilledByPlayer )

CCachievements.Register( "Huston, we have a problem.", "Get killed by 25 Thrusters..", "achievements/generic", total / 25, total .. "/25" )
