
local totalAmmo = CCachievements.GetValue( "RobTheArmy", "total", 0 )
local function HUDAmmoPickedUp( class, amount )
	if ( totalAmmo == 1000000 ) then return end
	totalAmmo = math.min( totalAmmo + amount, 1000000 )
	CCachievements.Update( "RobTheArmy", totalAmmo / 1000000, totalAmmo .. "/1000000" )
	CCachievements.SetValue( "RobTheArmy", "total", totalAmmo )
end
hook.Add( "HUDAmmoPickedUp", "achievements.RobTheArmy", HUDAmmoPickedUp )

CCachievements.Register( "Rob the Army", "Pick up 1,000,000 units of ammunition.", "achievements/scavenger", totalAmmo / 1000000, totalAmmo .. "/1000000" )