
local totalAmmo = CCachievements.GetValue( "RobThePolice", "total", 0 )
local function HUDAmmoPickedUp( class, amount )
	if ( totalAmmo == 20000 ) then return end
	totalAmmo = math.min( totalAmmo + amount, 20000 )
	CCachievements.Update( "RobThePolice", totalAmmo / 20000, totalAmmo .. "/20000" )
	CCachievements.SetValue( "RobThePolice", "total", totalAmmo )
end
hook.Add( "HUDAmmoPickedUp", "achievements.RobThePolice", HUDAmmoPickedUp )

CCachievements.Register( "Rob the police", "Pick up 20,000 units of ammunition.", "achievements/scavenger", totalAmmo / 20000, totalAmmo .. "/20000" )