local completed = CCachievements.GetValue( "Conference", "completed", 0 )

local function Update()
	if ( completed == 1 ) then timer.Destroy( "Achievement.Conference" ) return end
	
	local total = 0
	for _, ply in pairs( player.GetAll() ) do
		if ( ply:IsSpeaking() ) then total = total + 1 end
	end
	
	if ( total >= 4 ) then
		completed = 1
		CCachievements.SetValue( "Conference", "completed", completed )
		CCachievements.Update( "Conference", completed, "" )
	else
		
	end

end

timer.Create( "Achievement.Conference", 1, 0, Update )

CCachievements.Register( "Conference", "Listen to a microphone discussion with 4 or more players.", "achievements/conference", completed, "" )