// Achievement by G3X / GeXeH - Enjoy
// Version 1.0

// Achievement: Enter 100 Jeeps.

local Value = CCachievements.GetValue( "Jeep Frenzy", "total", 0 )
local Status = false

local function Update()

	if (Value != 100) then
		// print("Check Started.\n")
		local ply = LocalPlayer()

		if (!ValidEntity( ply )) then return end
		
		if ( (ply:InVehicle()) && (ply:GetVehicle():GetClass() == "prop_vehicle_jeep") && (ply:GetVehicle():GetModel() == "models/buggy.mdl") ) then
			if !Status then
				Status = true
				// print("Player Inside Jeep.\n")
				Value = math.Clamp( Value + 1, 0, 100 )
				CCachievements.SetValue( "Jeep Frenzy", "total", Value )
				CCachievements.Update( "Jeep Frenzy", Value / 100, Value .. "/100" )
			end
		else
			Status = false
			// print("Player Outside Jeep.\n")
		end

		// print("Check Ended.\n")
	
	else
		timer.Destroy("Achievement.JeepFrenzy")
	end

end

timer.Create("Achievement.JeepFrenzy", 1, 0, Update)

CCachievements.Register( "Jeep Frenzy", "Enter 100 Jeeps.", "achievements/jeepfrenzy", Value / 100, Value .. "/100" )