// Achievement by G3X / GeXeH - Enjoy
// Version 1.0

// Achievement: Get rated 'love' once.

local total = CCachievements.GetValue( "Loved", "total", 0 )

local oldRate
local function Update()
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	if ( total == 1 ) then return end
	
	local love = ply:GetNWInt( "Rating.love", -1 )
	if ( love > ( oldRate or love ) ) then
		if ( oldRate != 0 || love == 1 ) then
			total = math.Clamp( total + ( love - oldRate ), 0, 1 )
			CCachievements.Update( "Loved By All", total / 1, total .. "/1" )
			CCachievements.SetValue( "Loved By All", "total", total )
		end
	end
	oldRate = love
end
timer.Create( "achievements.Loved", 1, 0, Update )

CCachievements.Register( "Loved", "Get rated 'love' once.", "achievements/lovedbyall", total / 1, total .. "/1" )