// Achievement made by Dark Shadow [DK]
// Modified by RabidToaster

local target = ( 60 * 60 * 24 ) * 1
local time = math.min( CCachievements.GetValue( "Playtime", "total", 0 ), target )

local function Update()
	time = math.min( CCachievements.GetValue( "Playtime", "total", time ), target )
	
	if ( time >= target ) then
		timer.Destroy( "achievements.PlaytimeOneDay" )
	end
	
	CCachievements.Update( "Playtime - One Day", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.PlaytimeOneDay", 1, 0, Update )

CCachievements.Register( "Playtime - One Day", "Spend a total of one day (24h) playing GMod.", "achievements/playtime_1", time / target, CCachievements.FormatTime( time, "h:m:s" ) )