
local maxSpeed = CCachievements.GetValue( "Rush Hour", "total", 0 )
local function CheckSpeed()
	local veh = LocalPlayer():GetVehicle()
	if ( !veh:IsValid() ) then return end
	local speed = math.floor( math.min( veh:GetVelocity():Length() / 17.6, 100 ) )

	if ( speed <= maxSpeed ) then return end
	
	CCachievements.Update( "Rush Hour", speed / 100, speed .. "/100" )
	CCachievements.SetValue( "Rush Hour", "total", speed )
	
	maxSpeed = speed
end
timer.Create( "achievements.RushHour", 1, 0, CheckSpeed )

CCachievements.Register( "Rush Hour", "Travel at 100mph in a vehicle.", "achievements/rushhour", maxSpeed / 100, maxSpeed .. "/100" )
