// Achievement by G3X / GeXeH - Enjoy
// Version 1.0

// Achievement: Be submerged underwater inside a vehicle for a total of 2 hours.

local time = CCachievements.GetValue( "Submerged", "total", 0 )

local target = 7200
local function Update()
	local ply = LocalPlayer()
	if ( !ValidEntity( ply ) ) then return end
	
	if ( time != target && (ply:WaterLevel() == 3) && (!ply:IsOnGround()) && (ply:InVehicle()) ) then
		time = math.Clamp( time + 1, 0, target )
		CCachievements.SetValue( "Submerged", "total", time )
		if ( time >= target ) then timer.Destroy( "achievements.Submerged" ) end
	end
	
	CCachievements.Update( "Submerged", time / target, CCachievements.FormatTime( time, "h:m:s" ) )
end
timer.Create( "achievements.Submerged", 1, 0, Update )

CCachievements.Register( "Submerged", "Be submerged underwater inside a vehicle for a total of 2 hours.", "achievements/submerged", time / target, string.FormattedTime( time, "%02i:%02i" ) )